广告也精彩

WordPress升级建议

2010年6月18日06:05:23 基础使用 45 1

其实这篇文章很早就应该写出来,其实在之前的文章里,也或多或少的提到过,只是今天单独的拿出来当作一篇独立的文章来写,希望这篇文章能让各位对WordPress新版本升级有一个大概的了解。

一,何时升级最合适?

很多朋友都会在WordPress新版本发布的第一时间升级,其实这是不明智的做法,从WordPress的发展历程来看,一般新的正式版发布1~2周升级是最合适的。

经过1~2周的测试,如果没有重大的BUG,说明这个版本是稳定的,值得升级,如果有重大的BUG,可以等官方的补丁出来之后一起升级,确保自己博客数据的安全性。

二,升级之前需要注意的哪些?

每个使用WordPress的用户,都或多或少的使用了一些插件;很少有朋友使用WordPress的默认主题。WordPress每次发布新版本,总有插件或者主题的兼容性问题,之前在Wopus的几个WordPress爱好者交流群中,总能听到因为插件或者主题的不兼容而导致升级失败的例子。

所以,在升级之前,请各位到主题或者插件的作者博客上去看看,自己使用的主题或者插件是不是兼容WordPress 3.0,做一个兼容性的评测和升级的衡量,这样出现问题的几率会小一些。

三,注意备份数据和修改的WordPress文件。

这点其实是第二点的延伸,只是单独写出来了。

就像WordPress的后台提醒一样,在升级之前,请先备份WordPress的数据。数据备份主要是数据库的备份和修改过的WordPress程序的备份。

WopusIDC美国Cpanel主机完全备份教程通过PhpMyAdmin备份数据库教程

至于程序的修改,主要是有些朋友给WordPress添加过一些个性化的功能,这些功能或多或少会涉及到WordPress文件的修改,备份这些文件,可以保证之前功能的延续使用。

四,哪种升级方式最保险?

虽然现在WordPress已经提供了后台在线升级程序的功能,但是这还是有一个选择性和安全性的问题。国内WordPress爱好者众多,所以也就制作了各种版本的WordPress中文版,有些WordPress新手,第一次不太熟悉,就使用了某一个中文版,这样在后台升级,可能会遇到一些问题,这里不方便举例,因为遇到的问题实在是五花八门。

经常访问WordPress的朋友都知道,Wopus一直主张各位使用的都是英文原版+中文语言包。这样,可以直接在后台升级程序,语言包直接更新即可,而不像中文版,兼容性和延续性会可能有问题。

所以,各位请继续使用WordPress程序官方版本+中文语言包。【WordPress中文语言包的使用方法

五,升级失败该如何处理?

虽然WordPress后台支持在线升级,但是国内有些主机对这块的支持不是很友好,有时候插件在线升级都有点困难,所以各位需要评估是否需要使用在线升级,其实往空间里上传程序并覆盖,也是可以完成升级的。当然,国外主机升级都是没问题的。

六,升级的详细步骤:

1,升级之前检查当前自己使用主题和插件的兼容性,确定是否需要立刻升级。

2,评估WordPress新版本的功能是否是自己切实需要的,确定是否需要立刻升级。

3,备份WordPress数据。包含数据库的备份和部分修改过程序文件的备份。

4,确定升级了,暂停使用所有的WordPress插件,并把WordPress主题切换到默认的。

5,升级之后,重新启用主题和插件,并检查分类,标签,文章和一些个性功能是否正常。

七,请各位不要跨版本升级。现在依然有用户使用WordPress 2.5,如果想从WordPress 2.5升级到WordPress 3.0,除了上面需要注意的,更需要主要的是,不要直接升级到3.0,重要最好一个版本一个都升级。

八,给自己开一个测试博客。现在的WordPress主机的空间大小,附加域名参数和流量都比较宽裕,各位可以给自己建一个测试博客,可以单独测试新版本功能,也可以为升级做准备。

说了这么多,还是希望各位能理智,正确对待WordPress新版本,也能按照正确的方法升级。

广告也精彩

评论已关闭!

目前评论:45   其中:访客  33   博主  0   引用   12

    • 何必呢 何必呢 0

      已经升级了,直接后台升级。哈哈哈~

      • EaSy EaSy 2

        不错的文章,很详细!

        • 乱云 乱云 2

          酋长同学的文章总是这么贴心,支持!

            • 酋 长 酋 长 9

              @乱云 可惜还是没留住你的心,伤心~~~

            • 齐林 齐林 3

              一不小心升级成英文版了!

              • Eyon Eyon 1

                没敢升级

                • 万艾可 万艾可 5

                  在线升级的话,先把扦件,停用,然后在升级,然后再重新启用插件。这样最好。

                  • 经文 经文 0

                    我没有做任何备份和停用插件的前提下,直接在后台点了升级,现在博客无法显示了,不知道如何修复,求解!

                      • 酋 长 酋 长 9

                        @经文 重新上传之前的WordPress版本试试。

                      • zhiwei zhiwei 1

                        感觉新版本对做个人博客的同学没什么改进,还是不升级为好。级别越高对空间要求也会越高吧,我认为如果博客不打算做其他用途的话,还是不升级好。

                        • 网络过客 网络过客 0

                          WP能做到,对文章查看,进行用户权限设置!~ 那该有多好啊!`

                          • Lester Lester 0

                            暂时不要再升级了……2.9.2挺好,爱2了就9爱2了………………

                            • 爱多比 爱多比 0

                              这个认真看一下,我就因为没有备份,把修改了的源文件都给覆盖了,后悔中,浪费了不少时间。

                              • vowanson vowanson 2

                                早点看到这个文章就好了,我已经有点后悔的,搞到现在很多设置重新弄的。

                                • LorDong LorDong 0

                                  之前我用的是从cn.wordpress.org下的2.9.2简体中文版,刚在测试博客上全新安装wordpress 3.0.1英文版,在打开博客链接时提示创建配置文件,我输入原来数据库的相关信息,点“安装”时提示已经安装,用原来的管理员用户登录后提示更新数据库。
                                  问题是:更新完数据后可以在后台操作但首页无法打开。

                                  • yisu yisu 0

                                    貌似我直接使用后台升级不成功:(

                                      • 酋 长 酋 长 9

                                        @yisu 出现啥问题?

                                      • g2000 g2000 0

                                        路过,支持下

                                        • 1pondo 1pondo 2

                                          插件装太多的朋友,不建议升级

                                          • roger roger 1

                                            很受用
                                            我还没从后台直接升级过
                                            按照你的方法备份了修改过的single.php header,php sitebar.php等主要主题文件

                                            • 以纯服饰网上专卖店 以纯服饰网上专卖店 0

                                              学习了。前几天升级就出问题啦!明白是什么原因啦!谢谢

                                              • 做网站 做网站 1

                                                升级某个程序,确实不要那么快去升级…..

                                                • 嘉林 嘉林 1

                                                  更新WordPress 3.1后,由于用了WP-HIVE插件,出现
                                                  Fatal error: Call to a member function suppress_errors() on a non-object in ……blog/wp-content/plugins/wp-hive/includes/class.wphive.php on line 69

                                                  重新导入昨天备份的数据库,还不行。

                                                    • 酋 长 酋 长 9

                                                      @嘉林 解决办法:

                                                      1,通过phpmyadmin备份数据库。
                                                      2,删除插件。
                                                      3,看看什么情况。不行。再重新覆盖WordPress 3.1正式版。
                                                      祝好!

                                                        • 嘉林 嘉林 1

                                                          @酋 长 谢谢您。昨天我先恢复前一天的数据库见不行,就把文件都恢复到WordPress3.0.5版,这才恢复正常。

                                                        • 嘉林 嘉林 1

                                                          @嘉林 又出现相同问题,无语。
                                                          不敢升级了。

                                                        • 素描 素描 1

                                                          讲的很详细 谢谢

                                                          • 明和超音波 明和超音波 1

                                                            WP升级好快啊,功能越来越强大

                                                            • 扁平疣 扁平疣 0

                                                              收藏了学习下

                                                              • 叶酸 叶酸 0

                                                                嗯,回去照你说的用用!

                                                                • 野蛮人 野蛮人 0

                                                                  今天突然意识到这个问题,要是升级失败了就很纠结了。所以打算开一个测试博客。

                                                                  • 小林 小林 0

                                                                    升级失败对网站有没有影响啊。我的升级错误链接不算。麻烦谁给开下www.jsssc168.com

                                                                  • 来自外部的引用: 12

                                                                    • WordPress 3.0正式版发布 « Wopus中文博客平台 – Wordpress
                                                                    • 你害怕升级 WordPress 吗?
                                                                    • WordPress 3.0 版本可用!现在升级。 | 小杰博客
                                                                    • » WordPress升级建议—-求索阁
                                                                    • 视频:WordPress 3.0官方宣传片 « Wopus中文博客平台 – Wordpress
                                                                    • 久九的博客 » 你害怕升级 WordPress 吗?
                                                                    • WordPress 3.0非官方中文语言包发布 « Wopus中文博客平台 – Wordpress
                                                                    • 视频:WordPress 3.0官方宣传片 – 【今日印客】
                                                                    • WordPress 3.01非官方中文语言包 « Wopus中文博客平台 – Wordpress
                                                                    • WordPress升级建议,避免出现升级错误_Zero的PHP博客
                                                                    • WordPress博客从3.1.1升级到3.1.3版本 – 一起学习吧 | 爱生活,i分享
                                                                    • 重磅,WordPress 3.2正式版发布 « Wopus中文博客平台 – Wordpress